
{***************************************************************************}
{                                                                           }
{     Form: 'BackPropEvalProcOperForm.dfm'                                  }
{     Unit: 'BackPropEvalProcOperFormFile.pas'                              }
{     ( containing data processing for various arithm. operations )         }
{                                                                           }
{     - belonging to:                                                       }
{       Form:    'BackPropForm.dfm'                                         }
{       Unit:    'BackPropFormFile.pas'                                     }
{       Project: 'BackPropagation.dpr'                                      }
{       DLL:     'BackPropagation.dll'                                      }
{       Program: 'ResNeuronum.exe'                                          }
{       ( simulating Neural Networks )                                      }
{                                                                           }
{     - written in Borland Delphi 2.0                                       }
{                                                                           }
{     Copyright (c) 1996-97 TU Ilmenau/ Germany                             }
{                                                                           }
{     Written by:                                                           }
{       Christian Heller                                                    }
{       Grenzgraben 04                                                      }
{       D-98714 Sttzerbach                                                 }
{       Thringen                                                           }
{       Deutschland/ Germany/ Allemagne                                     }
{       Tel.:   +49/ (0)36784/ 50471 (Euro-ISDN)                            }
{       or Tel: +49/ (0)36784/ 50690                                        }
{       Fax G3: +49/ (0)36784/ 50992 (Euro-ISDN)                            }
{       e-mail: Christian.Heller@rz.tu-ilmenau.de                           }
{       www:    http://www.rz.tu-ilmenau.de/~ai008/christian/enmain.htm     }
{       www:    http://www.rz.tu-ilmenau.de/~ai008/resneuronum/enmain.htm   }
{                                                                           }
{     ( all variables & methods in alphabetical order                       }
{     or as appearing in the unit header, respectively )                    }
{                                                                           }
{***************************************************************************}

unit BackPropEvalProcOperFormFile;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TBackPropEvalProcOperForm = class(TForm)
    EvalProcOperBitBtnCancel: TBitBtn;
    EvalProcOperBitBtnOk: TBitBtn;
    EvalProcOperComboBox1: TComboBox;
    EvalProcOperComboBox2: TComboBox;
    EvalProcOperEditAdaptConst: TEdit;
    EvalProcOperGroupBox: TGroupBox;
    EvalProcOperGroupBoxAdaptConst: TGroupBox;
    EvalProcOperLabel: TLabel;
    EvalProcOperLabelAdaptConst: TLabel;
    procedure EvalProcOperEditAdaptConstChange(Sender: TObject);
  private
  public
  end;

var
  BackPropEvalProcOperForm: TBackPropEvalProcOperForm;

implementation

{$R *.DFM}

procedure TBackPropEvalProcOperForm.EvalProcOperEditAdaptConstChange(Sender: TObject);
var
  HelpValue: Double;
begin
  { Check if minimum of initialization string is value }
  with EvalProcOperEditAdaptConst do try
    HelpValue := StrToFloat(Text);
    if ((HelpValue < 0) or (HelpValue > 1)) then begin
      MessageBeep(0);
      MessageDlg('Wert muss im Bereich 0 und 1 (einschliesslich) liegen!', mtError, [mbOk], 0);
      Text := '0,5';
      SetFocus;
    end;
  except
    on EConvertError do begin
      MessageBeep(0);
      MessageDlg('Wert fr Adaptionskonstante prfen (Gleitkomma)!', mtError, [mbOk], 0);
      Text := '0,5';
      SetFocus;
    end;
  end;
end;

end.
